Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Interface FirebirdResultSetMetaData

All Superinterfaces:
  `ResultSetMetaData`, `Wrapper`

All Known Implementing Classes:
  `FBResultSetMetaData`

public interface FirebirdResultSetMetaData extends ResultSetMetaData
Firebird-specific extensions to the `ResultSetMetaData` interface.

Author:
  Roman Rokytskyy

## Field Summary

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTableAlias(int column)`
Gets the designated column's table alias.

### Methods inherited from interface java.sql.ResultSetMetaData

`getCatalogName, getColumnClassName, getColumnCount, getColumnDisplaySize, getColumnLabel, getColumnName, getColumnType, getColumnTypeName, getPrecision, getScale, getSchemaName, getTableName, isAutoIncrement, isCaseSensitive, isCurrency, isDefinitelyWritable, isNullable, isReadOnly, isSearchable, isSigned, isWritable`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Method Details

### getTableAlias

String getTableAlias(int column) throws SQLException
Gets the designated column's table alias.

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  table alias or "" if not applicable
Throws:
  `SQLException` - if a database access error occurs